summaryrefslogtreecommitdiffstats
path: root/install
diff options
context:
space:
mode:
authorDavid Knaack <davidkna@users.noreply.github.com>2021-04-14 18:52:16 +0200
committerGitHub <noreply@github.com>2021-04-14 18:52:16 +0200
commit49d678a043e255922478f8b88840ee5106632e69 (patch)
treeb0399627e898dc1d1fde50b8e89b36b4bb577612 /install
parent6f38bd8bc72da67a18a29da5dec821b5e3b1d34e (diff)
fix(install): fix install with busybox tar (#2583)
Diffstat (limited to 'install')
-rwxr-xr-xinstall/install.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/install/install.sh b/install/install.sh
index f7dfe8766..b08474b43 100755
--- a/install/install.sh
+++ b/install/install.sh
@@ -120,8 +120,8 @@ unpack() {
case "$archive" in
*.tar.gz)
- flags=$(test -n "${VERBOSE-}" && echo "-v" || echo "")
- ${sudo} tar "${flags}" -xzf "${archive}" -C "${bin_dir}"
+ flags=$(test -n "${VERBOSE-}" && echo "-xzvf" || echo "-xzf")
+ ${sudo} tar "${flags}" "${archive}" -C "${bin_dir}"
return 0
;;
*.zip)